q4wine (1.3.12-2+mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make all recommended packages dependencies, as well as winetricks.
  * Add wine-staging as preferred wine variant.
  * d/rules: enable wineappdb support and remove -Wl,--as-needed flag to
    LDFLAGS in debian/rules.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 08 Jul 2021 14:52:08 -0700

q4wine (1.3.12-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Decrease debhelper-compat version to 12 (was 13).
  * Add -Wl,--as-needed flag to LDFLAGS in debian/rules.

 -- Boris Pek <tehnick@debian.org>  Wed, 13 Jan 2021 08:23:43 +0300

q4wine (1.3.12-1) unstable; urgency=medium

  * New upstream release.
  * Update patch 01_fix-documentation-url.
  * Update debian/control:
    - bump Standards-Version to 4.5.1 (was 4.3.0): no changes required
    - replace build dependency from debhelper (>= 12~) to
      debhelper-compat (= 13)
    - add Rules-Requires-Root: no
  * Delete debian/compat.
  * Simplify debian/rules:
    remove DEB_LDFLAGS_MAINT_APPEND variable with -Wl,--as-needed flag
  * Update debian/watch.
  * Update debian/lintian-overrides.
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Fri, 08 Jan 2021 03:48:50 +0300

q4wine (1.3.11-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0 (was 4.2.1).
  * Bump debhelper version to 12~ (was 11~); update debian/compat.
  * Simplify debian/rules: stop adding of CPPFLAGS into CXXFLAGS using of
    DEB_CXXFLAGS_MAINT_APPEND as workaround for cmake because debhelper
    already does this since version 9.20120417.
  * Update years in debian/copyright.
  * Add debian/upstream/metadata.

 -- Boris Pek <tehnick@debian.org>  Tue, 08 Jan 2019 01:21:06 +0300

q4wine (1.3.10-1) unstable; urgency=medium

  * New upstream release.
  * Update short description of binary package.
  * Bump Standards-Version to 4.2.1 (was 4.1.4).
  * Bump debhelper version to 11~ (was 9); update debian/compat.
  * Simplify debian/rules:
    - delete --parallel option from dh
    - delete get-orig-source section and all related variables

 -- Boris Pek <tehnick@debian.org>  Thu, 13 Sep 2018 00:51:23 +0300

q4wine (1.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.4 (was 4.1.1): no changes required.
  * Add build dependency from libqt5svg5-dev.
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Sat, 02 Jun 2018 00:59:26 +0300

q4wine (1.3.6-2) unstable; urgency=medium

  * Add build dependency from qttools5-dev because Qt5LinguistTools*.cmake
    scripts have been moved from qttools5-dev-tools to qttools5-dev.
    (Closes: #881085)
  * Update some links from HTTP to HTTPS in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Wed, 15 Nov 2017 00:59:33 +0300

q4wine (1.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1 (was 4.0.0): no changes required.
  * Update patch fix-documentation-url.

 -- Boris Pek <tehnick@debian.org>  Thu, 26 Oct 2017 02:59:13 +0300

q4wine (1.3.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #861619)
  * Bump Standards-Version to 4.0.0 (was 3.9.8): no changes required.
  * Add wine2.0 to Recommends of q4wine package.
  * Update debian/rules:
    - simplify CMAKEOPTS
    - delete .PHONY: override_dh_makeshlibs
  * Update debian/copyright.
  * Add debian/clean.

 -- Boris Pek <tehnick@debian.org>  Fri, 04 Aug 2017 00:02:54 +0300

q4wine (1.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage URL in debian/control and in fix-documentation-url.patch.
    (Closes: #836429)

 -- Boris Pek <tehnick@debian.org>  Tue, 25 Oct 2016 23:16:07 +0300

q4wine (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (was 3.9.7): no changes required.

 -- Boris Pek <tehnick@debian.org>  Mon, 25 Jul 2016 02:12:32 +0300

q4wine (1.3-1) unstable; urgency=medium

  * New upstream release. Fixed in upstream:
    library paths were removed from settings dialog
    (Closes: #815018)
  * Move winetricks from Recommends to Suggests of q4wine package.
    (Closes: #820185)
  * Bump Standards-Version to 3.9.7 (was 3.9.6): no changes required.
  * Enable all hardening flags in debian/rules.
  * Update fix-documentation-url.patch.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Thu, 07 Apr 2016 00:39:33 +0300

q4wine (1.2-r2-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/control:
    - remove outdated Replaces
    - change build dependencies from Qt4 to Qt5
    - update Depends of binary package
      (libqt4-sql-sqlite --> libqt5sql5-sqlite)
    - update Recommends of binary package
      (new Wine architectures, wine1.9, etc.)
    - update short description of binary package
    - fix lintian note vcs-field-uses-insecure-uri vcs-git
  * Update debian/rules:
    - disable Wine AppDB browser support
    - enable build with Qt5
  * Update fix-documentation-url.patch:
    partially fixed in upstream.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Mon, 25 Jan 2016 04:11:20 +0300

q4wine (1.1-r2-3) unstable; urgency=medium

  * Add icoutils back to Build-Depends.

 -- Boris Pek <tehnick@debian.org>  Thu, 25 Sep 2014 02:00:53 +0400

q4wine (1.1-r2-2) unstable; urgency=medium

  * Bump debhelper version to 9 (was 7.0.50~); update debian/compat.
  * Bump Standards-Version to 3.9.6 (was 3.9.5): no changes required.
  * Update debian/control:
    - update Homepage field
    - update using wrap-and-sort tool
    - simplify Build-Depends and Depends
    - delete wine-bin, wine64-bin, wine-bin-unstable and wine64-bin-unstable
      from Recommends
    - add wine, wine-development, wine1.6, wine1.7 and winetricks
      to Recommends
    - move sudo and wget from Depends to Recommends
  * Simplify debian/rules.
  * Delete useless debian/docs.
  * Update years in debian/copyright.
  * Add fix-documentation-url.patch:
    Use web.archive.org until project website will be repaired. Also disable
    automatic opening this documentation after initial program configuring.
    (Closes: #761968) (LP: #1332725)

 -- Boris Pek <tehnick@debian.org>  Wed, 24 Sep 2014 23:26:53 +0400

q4wine (1.1-r2-1) unstable; urgency=medium

  * Update to stable release 1.1-r2.
  * Bump Standards-Version to 3.9.5 (was 3.9.4): no changes required.

 -- Boris Pek <tehnick@debian.org>  Tue, 17 Dec 2013 22:21:52 +0400

q4wine (1.1-r1-1) unstable; urgency=low

  * Update to stable release 1.1-r1.

 -- Boris Pek <tehnick@debian.org>  Mon, 02 Dec 2013 01:46:17 +0200

q4wine (1.1-1) unstable; urgency=low

  * Update to stable release 1.1.
  * Bump Standards-Version to 3.9.4 (was 3.9.3): no changes required.
  * Delete obsolete DM-Upload-Allowed field from debian/control.
  * Update get-orig-source section in debian/rules.

 -- Boris Pek <tehnick@debian.org>  Thu, 14 Nov 2013 23:12:34 +0200

q4wine (1.0-r3-2) unstable; urgency=low

  * Move package to unstable: no changes required.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 12 May 2013 16:20:23 +0300

q4wine (1.0-r3-1) experimental; urgency=low

  * Update to stable release 1.0-r3.
  * Update debian/copyright.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 04 May 2013 00:58:16 +0300

q4wine (1.0-r2-1) experimental; urgency=low

  * Update to stable release 1.0-r2.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 04 Mar 2013 00:13:07 +0200

q4wine (1.0-r1-1) experimental; urgency=low

  * Update to stable release 1.0-r1.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 26 Jan 2013 22:41:37 +0200

q4wine (1.0-1) experimental; urgency=low

  * Update to stable release 1.0.
  * Simplify debian/rules.
  * Fix debian/compat.
  * Add debian/lintian-overrides:
    false positives for lintian tag hardening-no-fortify-functions.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 21 Jan 2013 22:31:26 +0200

q4wine (0.999-rc8-2) experimental; urgency=low

  * Dependencies from wine* were moved from Depends to Recommends section.
    It should simplify migration to Multiarch packages. Also wine can be
    manually compiled and installed in user's system and not listed in the
    list of installed packages in this case. (Closes: #679466)

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 29 Jun 2012 02:48:56 +0300

q4wine (0.999-rc8-1) experimental; urgency=low

  * Update to release candidate 0.999-rc8.
  * Deleted debian/patches/*: accepted in upstream.
  * Updated debian/watch: changed regexp.
  * Updated debian/control: used [kfreebsd-any] instead of hardcoded list of
    kFreeBSD architectures [kfreebsd-i386 kfreebsd-amd64] in build dependency
    from libkvm-dev.

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 28 Jun 2012 21:36:21 +0300

q4wine (0.999-rc7-3) experimental; urgency=low

  * Added file debian/patches/fixes-for-hurd-i386:
    fixes FTBFS in Debian GNU/Hurd.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 06 Jun 2012 21:55:24 +0300

q4wine (0.999-rc7-2) experimental; urgency=low

  * Added patch debian/patches/fix-build-on-kfreebsd-and-hurd-i386:
    possibly fixes FTBFS in Debian GNU/kFreeBSD and GNU/Hurd.

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 05 Jun 2012 22:07:11 +0300

q4wine (0.999-rc7-1) experimental; urgency=low

  * Update to release candidate 0.999-rc7.
  * debian/patches/* were deleted: now available in upstream.
  * debian/copyright was updated: new files in source tree.
  * debian/rules was updated:
    - now uscan is used instead of direct using of wget and mv commands
    - used hardening flags in compiler options

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 04 Jun 2012 12:35:24 +0300

q4wine (0.121-4) unstable; urgency=low

  * debian/patches/fix-for-gcc-4.7 was added:
    (fixes FTBFS with GCC >= 4.7) (Closes: #672073)

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 09 May 2012 00:44:46 +0300

q4wine (0.121-3) unstable; urgency=low

  * Bumped Standards-Version to 3.9.3.
  * debian/control was updated:
    - added string `DM-Upload-Allowed: yes'
    - updated short and long descriptions of the package
    - removed extra dependency from sqlite3
      (libqt4-sql-sqlite depends on it)
    - removed extra dependency from wine1.0
      (there is no such package in actual Ubuntu releases)
    - added optional dependencies from wine1.4 and wine1.5
      (for Ubuntu users and others who use PPA in Launchpad)
  * debian/dirs was deleted: it is not required.
  * debian/copyright was updated:
    file was rewritten in according to Copyright format 1.0
  * debian/rules was updated:
    - added additional section get-orig-source
    - now dh is used instead of direct dh_* commands.
      (fixes FTBFS with new build-arch handling) (Closes: #666371)

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 09 Apr 2012 01:08:47 +0300

q4wine (0.121-2) unstable; urgency=low

  * Updated debian/copyright:
    - section about src/fuseiso/src/linux/* was deleted because of
      subdirectory src/fuseiso was removed from sources tarball in upstream.
  * Small fix in debian/changelog.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 22 Jun 2011 22:45:31 +0300

q4wine (0.121-1) unstable; urgency=low

  * Update to stable release 0.121.
  * Updated debian/control:
    - added additional fields Vcs-Git and Vcs-Browser
    - fixed misprint in description: Winetriks -> Winetricks (Closes: #631260)
  * Updated debian/rules:
    there is no cmake variable 'WITH_WINETRIKS' now (it is always enable).
  * Removed debian/patches/ (all this changes now available in upstream).
  * Fixed lintian warning 'debian-rules-missing-recommended-target'.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 22 Jun 2011 20:38:48 +0300

q4wine (0.120-r1-4) unstable; urgency=low

  * Updated debian/patches/
    - additional fix for Debian GNU/Hurd
  * Edited debian/control:
    - section with dependencies of binary package was updated:
      + Ubuntu users now need to have wine, wine1.0, wine1.2 or wine1.3
        (Closes: #614357)

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 21 Feb 2011 21:51:45 +0200

q4wine (0.120-r1-3) unstable; urgency=low

  * Updated debian/patches/
    - added fix for cmake option SKIP_RPATH (it makes program unusable)
    - updated fix for Debian GNU/kFreeBSD
  * Edited debian/control:
    - section with long description was updated
    - section with dependencies of binary package was updated:
      + Debian users need to have wine-bin or wine-bin-unstable
      + Ubuntu users need to have wine1.0 or wine1.2

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 20 Feb 2011 21:35:38 +0200

q4wine (0.120-r1-2) unstable; urgency=low

  * Edited debian/rules to fix libq4wine-core.so destination
    from /usr/lib64/q4wine/ to /usr/lib/q4wine/ (Closes: #612027)
  * Added debian/patches/
    - possible fix for Debian GNU/kFreeBSD
    - possible fix for Debian GNU/Hurd

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 14 Feb 2011 23:34:32 +0200

q4wine (0.120-r1-1) unstable; urgency=low

  * Update to stable release 0.120-r1.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 09 Jan 2011 00:25:06 +0200

q4wine (0.120-2) unstable; urgency=low

  * Upload to unstable branch.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 21 Nov 2010 02:26:21 +0200

q4wine (0.120-1) experimental; urgency=low

  * Update to stable release 0.120.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 03 Oct 2010 16:42:29 +0300

q4wine (0.119-r1-1) experimental; urgency=low

  * Update to bug fix release 0.119-r1.
  * Updated file debian/copyright.

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 19 Aug 2010 17:30:37 +0300

q4wine (0.119-1) experimental; urgency=low

  * Update to stable release 0.119.
  * Fixed file debian/rules.
    (parallel=<n> from DEB_BUILD_OPTIONS is now using)
  * Fixed file debian/copyright.
    (lintian warning `copyright-with-old-dh-make-debian-copyright' is fixed)
  * Added debian/watch file.

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 12 Aug 2010 00:05:43 +0300

q4wine (0.118-4) unstable; urgency=low

  * Fixed `Depends' and `Build-Depends' in debian/control.

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 28 May 2010 02:58:02 +0400

q4wine (0.118-3) unstable; urgency=low

  * Fixed `Depends' in debian/control.
    (wine for amd64, hurd-i386, i386, kfreebsd-i386, powerpc and sparc
    is now available only in experimental branch of Debian)
  * Fixed `Build-Depends' for hurd-i386 in debian/control.
    (wine for hurd-i386 is now available in experimental branch of Debian)
  * Removed xdg-utils dependency from debian/control.
    (It's unnecessary in Q4Wine since version 0.118)

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 26 May 2010 15:16:23 +0400

q4wine (0.118-2) unstable; urgency=low

  * Added kfreebsd-i386 and kfreebsd-amd64 specific dependencies
    to debian/control.

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 13 May 2010 22:45:50 +0400

q4wine (0.118-1) unstable; urgency=low

  * Initial release (closes: #550148).

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 25 Apr 2010 02:06:31 +0400
